WebFlowUnitTestSupport (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.test.mixin.webflow
[Groovy] Class WebFlowUnitTestSupport

    java.lang.Object
      grails.test.mixin.webflow.WebFlowUnitTestSupport

    class WebFlowUnitTestSupport
    extends java.lang.Object

Support class for building a mock Web Flow. Based on https://gist.github.com/881935

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`static java.lang.String` | `BUILD`
`java.util.Map` | `currentEvent`
`java.lang.String` | `currentEventName`
`java.lang.String` | `currentOnEvent`
`java.lang.Boolean` | `done`
`java.util.Map` | `flowMap`
`groovy.lang.Closure` | `setEventOnActionCallback`

Constructor Summary
`WebFlowUnitTestSupport(groovy.lang.Closure setEventOnActionCallback)`

Method Summary
`void` | `action(groovy.lang.Closure actionClosure)`
`java.util.Map` | `doBuild(java.lang.String name, java.lang.Object[] args)`
`void` | `handleEvent(java.lang.String name, java.lang.Object[] args)`
`void` | `input(groovy.lang.Closure action)`
`java.lang.Object` | `invokeClosureNode(java.lang.Object args)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object obj)`
`java.lang.Boolean` | `isCurrentEventInitialized()`
`java.lang.Boolean` | `isFlowInitialized()`
`java.lang.Object` | `on(java.lang.String event)`
`java.lang.Object` | `on(java.lang.String event, groovy.lang.Closure closure)`
`void` | `output(groovy.lang.Closure action)`
`void` | `subflow(java.lang.Object subflow)`
`void` | `subflow(java.util.LinkedHashMap subflowArgs)`
`void` | `to(java.lang.String state)`
`static java.util.Map` | `translate(groovy.lang.Closure closure, groovy.lang.Closure setEventOnActionCallback)`
`groovy.lang.Closure` | `wrapWithEventName(groovy.lang.Closure action, java.util.Map params = [:])`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### BUILD

    static final java.lang.String BUILD

### currentEvent

    java.util.Map currentEvent

### currentEventName

    java.lang.String currentEventName

### currentOnEvent

    java.lang.String currentOnEvent

### done

    java.lang.Boolean done

### flowMap

    java.util.Map flowMap

### setEventOnActionCallback

    groovy.lang.Closure setEventOnActionCallback

Constructor Detail

### WebFlowUnitTestSupport

    WebFlowUnitTestSupport(groovy.lang.Closure setEventOnActionCallback)

Method Detail

### action

    void action(groovy.lang.Closure actionClosure)

### doBuild

    java.util.Map doBuild(java.lang.String name, java.lang.Object[] args)

### handleEvent

    void handleEvent(java.lang.String name, java.lang.Object[] args)

### input

    void input(groovy.lang.Closure action)

### invokeClosureNode

    java.lang.Object invokeClosureNode(java.lang.Object args)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object obj)

### isCurrentEventInitialized

    java.lang.Boolean isCurrentEventInitialized()

### isFlowInitialized

    java.lang.Boolean isFlowInitialized()

### on

    java.lang.Object on(java.lang.String event)

### on

    java.lang.Object on(java.lang.String event, groovy.lang.Closure closure)

### output

    void output(groovy.lang.Closure action)

### subflow

    void subflow(java.lang.Object subflow)

### subflow

    void subflow(java.util.LinkedHashMap subflowArgs)

### to

    void to(java.lang.String state)

### translate

    static java.util.Map translate(groovy.lang.Closure closure, groovy.lang.Closure setEventOnActionCallback)

### wrapWithEventName

    groovy.lang.Closure wrapWithEventName(groovy.lang.Closure action, java.util.Map params = [:])

Groovy Documentation